## tp-conf-srv 0.80

=== debian/changelog ===
tp-conf-srv (0.80) wheezy; urgency=low

  * Change section from taguspark to dsi

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Tue, 11 Mar 2014 17:14:58 +0000

tp-conf-srv (0.79) wheezy; urgency=low

  * Use dpkg-maintscript-helper to remove udev rule for android

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Tue, 11 Mar 2014 16:59:52 +0000

tp-conf-srv (0.78) squeeze; urgency=low

  * Remove udev rule for android as it is not correct

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Sun, 02 Mar 2014 14:31:16 +0000

tp-conf-srv (0.77) squeeze; urgency=low

  * Update Makefile and debian/rules to version 0.24
  * Extend TpConfSrvTigerNetFiles to include check find_files.
  * Change default value for TpSrvConfNtpRef to reference
  * Update maintainer name to Jose M Calhariz

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Tue, 03 Dec 2013 16:57:00 +0000

tp-conf-srv (0.76) squeeze; urgency=low

  * More listening process on tiger

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 25 Nov 2012 19:42:48 +0000

tp-conf-srv (0.75) squeeze; urgency=low

  * More listening process on tiger

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Thu, 01 Nov 2012 18:08:39 +0000

tp-conf-srv (0.74) squeeze; urgency=low

  * Remove support for nrpe.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 31 Aug 2012 19:02:58 +0100

tp-conf-srv (0.73) squeeze; urgency=low

  * Update for sysklogd from wheezy.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 31 Aug 2012 14:57:42 +0100

tp-conf-srv (0.72) squeeze; urgency=low

  * openssh-server on lenny and newer have X11Forwarding enabled, announce
    as obsolete to configure this file by patching /etc/ssh/sshd_config.
  * Makefile updated to version 0.20~rc1

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 10 Jun 2012 18:11:59 +0100

tp-conf-srv (0.71) updates; urgency=critical

  * kernel_hooks don't need to generate errors.  The errors can be easily
    solved by the user and can break kernels installs because of minor
    errors.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 23 Sep 2011 11:11:05 +0100

tp-conf-srv (0.70) updates; urgency=low

  * Better defaults on tiger tests for common case of servers and desktop
    computers.
  * Add console users to group fuse.
  * Give users that login by sshd the group fuse.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 29 Aug 2011 21:28:13 +0100

tp-conf-srv (0.69) updates; urgency=low

  * Create options to disable slow checks on tigercron
  * Created kernel hooks for when installing kernels the update-grub is
    run with a configured /etc/defaut/grub.
  * Configure /etc/default/rcS for sequencial boot when using insserv,
    better for spotting boot problems with servers.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 22 Aug 2011 12:17:22 +0100

tp-conf-srv (0.68) updates; urgency=low

  * Makefile updated to v0.17
  * Updated rules to v0.14
  * Fix name of patch for reference ntp on squeeze.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 17 Aug 2011 14:28:23 +0100

tp-conf-srv (0.67) updates; urgency=low

  * Remove warning about support for lenny sysctl.conf.
  * Added support for configuring grub2

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 12 Aug 2011 16:14:20 +0100

tp-conf-srv (0.66) updates; urgency=low

  * Reduced logging of snmpd because of spurious error messages in the
    presence of bridge or bonded interfaces, proposed solution in Bug
    #559109.
  * More information in README.Debian about the lack of MIB files for
    snmpd daemon.
  * Some lintian clean.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 31 Mar 2011 21:12:16 +0100

tp-conf-srv (0.65) updates; urgency=low

  * Enable access to snmpd from Tagus networks

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 29 Mar 2011 15:15:41 +0100

tp-conf-srv (0.64) updates; urgency=low

  * Updated for /etc/ntp.conf from squeeze.
  * Correct the order for deapplying the patches for /etc/snmp/snmpd.conf
    from squeeze.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 28 Mar 2011 19:26:18 +0100

tp-conf-srv (0.63) updates; urgency=low

  * Updated for /etc/default/snmpd from squeeze.
  * Updated for /etc/snmp/snmpd.conf from squeeze.
  * Added original files from squeeze.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 21 Mar 2011 19:44:44 +0000

tp-conf-srv (0.62) updates; urgency=low

  * Makefile updated to v0.16
  * Only apply nrpe patches if exists /etc/nagios/nrpe.cfg.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 03 Mar 2011 18:07:07 +0000

tp-conf-srv (0.61) updates; urgency=low

  * Added udev rule for adb (Android Bidge Device) device be assigned to
    plugdev group.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 22 Feb 2011 18:33:57 +0000

tp-conf-srv (0.60) updates; urgency=low

  * 10_acct_cron.daily_v0: savelog for /var/log/account/pacct use date for
    rolling.
  * Updated to v0.14
  * Experimental code for a new way of tagging a release in subversion

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 22 Feb 2011 01:07:34 +0000

tp-conf-srv (0.59) updates; urgency=low

  * 10_tripwire_twcfgtxt_squeeze_v00: tripwire for squeeze changed the
    editor from vi to editor.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 05 Dec 2010 22:55:34 +0000

tp-conf-srv (0.58) updates; urgency=low

  * TpConfJavaAlternative option to choosing a Java implementation.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 02 Dec 2010 22:56:43 +0000

tp-conf-srv (0.57) updates; urgency=low

  * Make the option TpConfSrvConsolePermissions work, was allways
    disabled.
  * /10_security_group.conf_v00: add dialout group to users for option
    TpConfSrvConsolePermissions.
  * 00list: commented all patches, dpatch still work as needed and helps
    the developement of the package.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 10 Nov 2010 21:33:02 +0000


