## tp-conf-srv 0.82

=== debian/changelog ===
tp-conf-srv (0.82) jessie; urgency=medium

  * Update for jessie snmpd, dropped support for old snmpds or old system
    of ACLs.

 -- Jose M Calhariz <calhariz@debian.org>  Thu, 08 Jun 2017 16:21:32 +0100
