## tp-conf-srv 0.83

=== debian/changelog ===
tp-conf-srv (0.83) jessie; urgency=medium

  * Detect new cron daily from acct.
  * Drop support for very old default/bootlogd.
  * Drop support for old grub or grub-legacy.
  * Drop support for old sysctl.conf, pre sysctl.d directory.

 -- Jose M Calhariz <calhariz@debian.org>  Sun, 11 Jun 2017 19:19:27 +0100
