=== debian/changelog ===
tp-conf-srv (0.84) jessie; urgency=medium

  * Change defaults of tiger tests, to a more suitable for storage servers
    with very big filesystems ou clients of network filesystems.

 -- Jose M Calhariz <calhariz@debian.org>  Mon, 19 Jun 2017 13:58:46 +0100
