=== debian/control ===
Source: tp-conf-srv
Section: dsi
Priority: optional
Maintainer: Jose M Calhariz <jose.calhariz@ist.utl.pt>
Build-Depends: debhelper (>= 4.0.0), cal-scripts (>= 0.17)
Standards-Version: 3.6.1

Package: tp-conf-srv
Architecture: all
Conflicts: tp-srv-conf (<< 0.25)
Depends: dpatch, dpkg-dev, gcc | c-compiler, make | build-essential,
 ${shlibs:Depends}, ${misc:Depends}
Recommends: logrotate (>= 3.7.1)
Suggests: tp-conf-ldap-client
Description: scripts and patches to configure a server
 Includes patches and scripts to automatically configure a machine
 like a tipical server.
 .
 Patch and script to configure tripwire.
